Bug 1275295 - [abrt] arandr: xrandr.py:93:_load_from_commandlineargs:KeyError: 'DP2-1'
[abrt] arandr: xrandr.py:93:_load_from_commandlineargs:KeyError: 'DP2-1'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arandr (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maros Zatko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:234df5a490add26ba187b1cb0c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 09:44 EDT by Sam Roza
Modified: 2016-07-19 14:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.19 KB, text/plain)
2015-10-26 09:44 EDT, Sam Roza
no flags Details
File: environ (1.58 KB, text/plain)
2015-10-26 09:44 EDT, Sam Roza
no flags Details

  None (edit)
Description Sam Roza 2015-10-26 09:44:12 EDT
Description of problem:
Was applying a layout. Note that the backtrace notes DP2-1, butr in my layout script, DP2-1 is marked off: '--output DP2-1 --off'

Version-Release number of selected component:
arandr-0.1.7.1-4.fc21

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/arandr
executable:     /usr/bin/arandr
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
xrandr.py:93:_load_from_commandlineargs:KeyError: 'DP2-1'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 64, in wrapper
    return function(*args_out)
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 235, in do_open
    self.filetemplate = self.widget.load_from_file(f)
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 88, in load_from_file
    template = self._xrandr.load_from_string(data)
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 79, in load_from_string
    self._load_from_commandlineargs(lines[xrandrlines[0]].strip())
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 93, in _load_from_commandlineargs
    o = self.configuration.outputs[on]
KeyError: 'DP2-1'

Local variables in innermost frame:
on: 'DP2-1'
i: 2
commandline: 'xrandr --output VIRTUAL1 --off --output eDP1 --mode 1920x1080 --pos 0x0 --rotate normal --output DP1 --off --output DP2-1 --off --output DP2-2 --mode 1920x1080 --pos 1936x0 --rotate normal --output DP2-3 --off --output HDMI2 --off --output HDMI1 --off --output VGA1 --off --output DP2 --off'
args: ['--output', 'VIRTUAL1', '--off', '--output', 'eDP1', '--mode', '1920x1080', '--pos', '0x0', '--rotate', 'normal', '--output', 'DP1', '--off', '--output', 'DP2-1', '--off', '--output', 'DP2-2', '--mode', '1920x1080', '--pos', '1936x0', '--rotate', 'normal', '--output', 'DP2-3', '--off', '--output', 'HDMI2', '--off', '--output', 'HDMI1', '--off', '--output', 'VGA1', '--off', '--output', 'DP2', '--off']
o: <screenlayout.xrandr.OutputConfiguration object at 0x7f1fcd4f7c50>
self: <screenlayout.xrandr.XRandR object at 0x7f1fcd4e2d50>
p: ('--rotate', 'normal')
parts: [('--mode', '1920x1080'), ('--pos', '0x0'), ('--rotate', 'normal')]
oa: ['--off']
os: <Output 'DP1' (0 modes)>
options: {'VIRTUAL1': ['--off'], 'eDP1': ['--mode', '1920x1080', '--pos', '0x0', '--rotate', 'normal'], 'DP1': ['--off'], 'DP2-1': ['--off'], 'DP2-2': ['--mode', '1920x1080', '--pos', '1936x0', '--rotate', 'normal'], 'DP2-3': ['--off'], 'HDMI2': ['--off'], 'HDMI1': ['--off'], 'DP2': ['--off'], 'VGA1': ['--off']}
namedmode: <screenlayout.auxiliary.NamedSize object at 0x7f1fcd4f7550>
Comment 1 Sam Roza 2015-10-26 09:44:15 EDT
Created attachment 1086518 [details]
File: backtrace
Comment 2 Sam Roza 2015-10-26 09:44:16 EDT
Created attachment 1086519 [details]
File: environ
Comment 3 Sam Roza 2016-06-22 09:47:32 EDT
Based on the above backtrace, I did the following:

~~~
# dnf install xrandr
Last metadata expiration check: 0:02:25 ago on Wed Jun 22 06:43:22 2016.
Package xorg-x11-server-utils-7.7-19.fc24.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
~~~

This has not fixed the problem.
Comment 4 Fedora End Of Life 2016-07-19 14:20:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.